View Issue Details

IDProjectCategoryView StatusLast Update
0000107JamochaMUDMain Programpublic2005-09-24 21:29
ReporterblueiceAssigned Tojeffnik 
PrioritynormalSeveritytextReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.2 rc1 
Summary0000107: forward slashes won't work
DescriptionI am using a smaug based OLC, and when I try to use an editor I cannot save it or anything because the command is for some reason not getting to the mud.

Commands like /s and /l and /a
TagsNo tags attached.

Activities

jeffnik

2005-09-09 23:25

administrator   ~0000079

JamochaMUD uses the forward slash for to set variables and to set and retrieve "definitions". When-ever the client encounters a forward slash as the first character it checks to see if this definition is used.

I'll change the JamochaMUD behaviour so that when it encounters something that isn't a definition it will let the command "fall through" the the MU* server.

jeffnik

2005-09-10 21:11

administrator   ~0000080

Any commands that begin with a forward-slash (unless they are /set, /unset, /def, /undef or user defined) will now be passed on to the MU* server. The latest release of JamochaMUD should work correctly now.

Issue History

Date Modified Username Field Change
2005-09-09 07:17 blueice New Issue
2005-09-09 23:25 jeffnik Note Added: 0000079
2005-09-09 23:25 jeffnik Assigned To => jeffnik
2005-09-09 23:25 jeffnik Status new => assigned
2005-09-10 21:11 jeffnik Status assigned => resolved
2005-09-10 21:11 jeffnik Resolution open => fixed
2005-09-10 21:11 jeffnik Note Added: 0000080
2005-09-24 20:40 jeffnik Status resolved => closed
2005-09-24 21:10 jeffnik Status closed => resolved
2005-09-24 21:10 jeffnik Fixed in Version => 1.2 rc1
2005-09-24 21:29 jeffnik Status resolved => closed